just for example,I use “circle”,people can creat a circle by rhino.geometry.circle easily.but if I want to create a circle by rhinoapp.runscript is hard to pass the Input variable to command,(i donnot like to click point in viewport,since i use a existing points list component )(the reason I insist to use runscript is there are some command has no corresponding API in RhinoCommond,such as"srfseam")
private void RunScript(Point3d point, double radius, ref object A, ref object B)
{
Rhino.RhinoApp.RunScript("_Circle" + " " + "point" + " " + "radius", true);//failed,donot know to pass the variable
Rhino.Geometry.Circle c = new Rhino.Geometry.Circle(point, radius);//so easy
A = c;
}
thankyou